<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<groupId>com.alkemytech.sophia</groupId>
	<artifactId>sophia-ripartizione</artifactId>
	<version>1.0.2</version>
	<name>sophia-ripartizione</name>
	<packaging>jar</packaging>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.2.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<version.slf4j>1.7.12</version.slf4j>
		<version.log4j>2.8.2</version.log4j> 
        <version.aws>1.11.136</version.aws> <!-- 1.11.80 -->
	</properties>

	<dependencies>
		
		<dependency>
			<groupId>com.alkemytech.sophia</groupId>
			<artifactId>sophia-commons</artifactId>
			<version>LATEST</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
	
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-csv</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
		    <groupId>commons-codec</groupId>
		    <artifactId>commons-codec</artifactId>
		    <version>1.10</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.2</version>
		</dependency>
<!--  - ->
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.0.4</version>
		</dependency>
<!- -  -->

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.18.8</version>
			<scope>provided</scope>
		</dependency>
<!--		<dependency>
			<groupId>com.google.inject</groupId>
			<artifactId>guice</artifactId>
			<version>4.1.0</version>
		</dependency>-->
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>2.8.0</version>
			<scope>compile</scope>
		</dependency>
		
        <dependency>
            <groupId>com.amazonaws</groupId>
            <artifactId>aws-java-sdk-core</artifactId>
            <version>${version.aws}</version>
        </dependency>
        <dependency>
            <groupId>com.amazonaws</groupId>
            <artifactId>aws-java-sdk-emr</artifactId>
            <version>${version.aws}</version>
        </dependency>
        <dependency>
            <groupId>com.amazonaws</groupId>
            <artifactId>aws-java-sdk-s3</artifactId>
            <version>${version.aws}</version>
        </dependency>
        <dependency>
            <groupId>com.amazonaws</groupId>
            <artifactId>aws-java-sdk-sqs</artifactId>
            <version>${version.aws}</version>
        </dependency>

		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-aws</artifactId>
			<version>RELEASE</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-aws-messaging</artifactId>
			<version>RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-aws-context</artifactId>
			<version>RELEASE</version>
		</dependency>

		<dependency>
		    <groupId>org.apache.hive</groupId>
		    <artifactId>hive-jdbc</artifactId>
		    <version>2.1.1</version>
				<exclusions>
					<exclusion>
						<groupId>org.eclipse.jetty.aggregate</groupId>
						<artifactId>*</artifactId>
					</exclusion>
				</exclusions>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-jdbc</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-hadoop</artifactId>
			<version>2.5.0.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.apache.tomcat</groupId>
			<artifactId>tomcat-jdbc</artifactId>
			<version>8.5.20</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${version.slf4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
   			<artifactId>log4j-slf4j-impl</artifactId>
			<version>${version.log4j}</version>
		</dependency>
		<dependency>
			<groupId>org.jooq</groupId>
			<artifactId>jooq</artifactId>
			<version>LATEST</version>
		</dependency>
		<dependency>
			<groupId>org.jooq</groupId>
			<artifactId>jooq-meta</artifactId>
			<version>LATEST</version>
		</dependency>
		<dependency>
			<groupId>org.jooq</groupId>
			<artifactId>jooq-codegen</artifactId>
			<version>LATEST</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-jpa</artifactId>
			<version>2.0.5.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>com.querydsl</groupId>
			<artifactId>querydsl-apt</artifactId>
			<version>4.2.1</version>
		</dependency>
		<dependency>
			<groupId>com.querydsl</groupId>
			<artifactId>querydsl-jpa</artifactId>
			<version>4.2.1</version>
		</dependency>

		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version> 8.0.14</version>
		</dependency>

	</dependencies>
	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
						<configuration>
							<classifier>spring-boot</classifier>
							<mainClass>
								com.alkemy.sophia.ripartizione.RipartizioneService
							</mainClass>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<!--<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<mainClass>com.alkemy.sophia.ripartizione.RipartizioneService</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>-->
			<plugin>

	<!--&lt;!&ndash; Specify the maven code generator plugin &ndash;&gt;
	&lt;!&ndash; Use org.jooq            for the Open Source Edition
									 org.jooq.pro        for commercial editions,
									 org.jooq.pro-java-6 for commercial editions with Java 6 support,
									 org.jooq.trial      for the free trial edition

							 Note: Only the Open Source Edition is hosted on Maven Central.
										 Import the others manually from your distribution &ndash;&gt;-->
	<groupId>org.jooq</groupId>
	<artifactId>jooq-codegen-maven</artifactId>

	<!-- The plugin should hook into the generate goal -->
	<executions>
		<execution>
			<goals>
				<goal>generate</goal>
			</goals>
		</execution>
	</executions>

	<!-- Manage the plugin's dependency. In this example, we'll use a PostgreSQL database -->
	<dependencies>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>8.0.13</version>
		</dependency>
	</dependencies>

				<!--<configuration>
				 Specify the plugin configuration. The configuration format is the same as for the standalone code generator -->
				<!--<jdbc>
							<driver>com.mysql.jdbc.Driver</driver>
							<url>jdbc:mysql://localhost:3306/unidentified_prod?verifyServerCertificate=false</url>
							<user>sophiamysqlprd02</user>
							<password>5n.3z~Q:5X9e</password>
		</jdbc>

							<configuration>
								<generator>
									<database>
										<name>org.jooq.meta.mysql.MySQLDatabase</name>
										<includes>.*.song</includes>
										<excludes></excludes>
										<schemata>
											<schema>
												<inputSchema>unidentified_prod</inputSchema>
												<outputSchemaToDefault>true</outputSchemaToDefault>
											</schema>
										</schemata>
									</database>
									<target>
										<packageName>com.alkemy.performing.valorizzatore.dashboardetl.jooq</packageName>
										<directory>target/generated-sources/jooq</directory>
									</target>
								</generator>
							</configuration>
								-->
			<configuration>
				<jdbc>
					<driver>com.mysql.cj.jdbc.Driver</driver>
					<url>jdbc:mysql://localhost:3306/MCMDB_debug?useLegacyDatetimeCode=false&amp;useTimezone=true&amp;serverTimezone=GMT&amp;verifyServerCertificate=false&amp;useSSL=true&amp;autoReconnect=true&amp;useUnicode=yes&amp;characterEncoding=UTF-8&amp;rewriteBatchedStatements=true&amp;zeroDateTimeBehavior=convertToNull</url>
					<user>sophiamysql</user>
					<password>6*!.84~m%2BW</password>
				</jdbc>
				<generator>
					<database>
						<includes>MM_RIPARTIZIONE_CARICO|MM_RIPARTIZIONE_CARICO_CCID|MM_RIPARTIZIONE_648|ANAG_UTILIZATION_TYPE|CLIENT_TO_DSP|ANAG_CLIENT|currency_rate|DettailImportiAnticipo|IMPORTI_ANTICIPO|INVOICE|INVOICE_ITEM|ITEM_INVOICE_REASON|INVOICE_ITEM_TO_CCID|INVOICE_LOG|INVOICE_ACCANTONAMENTO|INVOICE_RECLAMO|BACKCLAIM_IN_PROGRESS|DSR_METADATA|DSR_METADATA_CONFIG|DSR_STATISTICS|DSR_STATISTICS_SOPHIA|DSR_STEPS_MONITORING|DSR_UNIDENTIFIED|COMMERCIAL_OFFERS|CCID_METADATA|CCID_S3_PATH|unidentified_song_dsr|ANAG_DSP</includes>
						<!--<includes>ANAG_UTILIZATION_TYPE|CLIENT_TO_DSP|ANAG_CLIENT|currency_rate|DettailImportiAnticipo|IMPORTI_ANTICIPO|INVOICE|INVOICE_ITEM|ITEM_INVOICE_REASON|INVOICE_ITEM_TO_CCID|INVOICE_LOG|INVOICE_ACCANTONAMENTO|INVOICE_RECLAMO|BACKCLAIM_IN_PROGRESS|DSR_METADATA|DSR_METADATA_CONFIG|DSR_STATISTICS|DSR_STATISTICS_SOPHIA|DSR_STEPS_MONITORING|DSR_UNIDENTIFIED|COMMERCIAL_OFFERS|CCID_METADATA|CCID_S3_PATH|unidentified_song_dsr|ANAG_DSP</includes>-->
						<!--<excludes></excludes>-->
						<schemata>
							<schema>
								<inputSchema>MCMDB_debug</inputSchema>
								<outputSchemaToDefault>true</outputSchemaToDefault>
							</schema>
						</schemata>
					</database>
					<target>
						<packageName>com.alkemy.sophia.ripartizione.dbmodel.jooq</packageName>
						<directory>src/main/java</directory>
					</target>
				</generator>
			</configuration>
		</plugin>
			<plugin>
				<groupId>com.mysema.maven</groupId>
				<artifactId>apt-maven-plugin</artifactId>
				<version>1.1.3</version>
				<executions>
					<execution>
						<goals>
							<goal>process</goal>
						</goals>
						<configuration>
							<outputDirectory>target/generated-sources/java</outputDirectory>
							<processor>com.querydsl.apt.jpa.JPAAnnotationProcessor</processor>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
